import { GraphQLCompositeType } from 'graphql';
import { Field } from 'graphql-tool-utilities/ast';
export declare class ObjectStack {
    private parentFields;
    private seenFields;
    readonly name: string;
    constructor(_type: GraphQLCompositeType, parentFields?: Field[]);
    nested(field: Field, type: GraphQLCompositeType): ObjectStack;
    fragment(type: GraphQLCompositeType): ObjectStack;
    sawField(field: Field): void;
    hasSeenField(field: Field): boolean;
}
